# $Revision: 1.38 $, $Date: 2010/01/30 21:50:57 $
# TODO:
# - place somewhere info that distkernel support only 16bit splashes (thnx Tomasz Grobelny)
#
Summary:	Bootsplash - graphical boot process for Linux
Summary(de.UTF-8):	Bootsplash - graphischer System Start
Summary(pl.UTF-8):	Bootsplash - graficzny proces startu systemu dla Linuksa
Name:		bootsplash
Version:	3.2
Release:	5
License:	GPL v2
Group:		Applications/System
Source0:	http://www.bootsplash.de/files/splashutils/%{name}-%{version}.tar.bz2
# Source0-md5:	b74c104372fd182d0442b3ed63210e29
Source1:	%{name}.script
Source2:	%{name}-bootanim.script
Source3:	%{name}.sysconfig
Source4:	%{name}.init
Patch0:		%{name}-3.2_makefile_libmng.patch
URL:		http://www.bootsplash.org/
BuildRequires:	freetype-devel >= 2.1
BuildRequires:	libmng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Suggests:	bootsplash-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir	/bin

%description
When you have a kernel with bootsplash capability you can use the
bootsplash and control its behaviour with this set of userspace
utilities.

%description -l de.UTF-8
Wenn du einen Kernel mit der bootsplash Option hast, kannst du diese
mit diesen Programmen steuern.

%description -l pl.UTF-8
Mając jądro z opcją bootsplash można uzyskać graficzny ekran podczas
startu systemu i sterować jego zachowaniem przy użyciu tego zbioru
narzędzi przestrzeni użytkownika.

%prep
%setup -q
%patch0 -p1
rm -f Utilities/splash.o

%build
%{__make} -C Utilities \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/freetype2 -DDEFAULT_FONTNAME=\\\"%{_datadir}/%{name}/luxisri.ttf\\\"" \
	STRIP=true

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_sysconfdir}/bootsplash/themes} \
	 $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/splash
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/bootanim
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/bootsplash
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/bootsplash
install Scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}
install Utilities/splash $RPM_BUILD_ROOT%{_bindir}/splash.bin
install Utilities/{fbmngplay,fbresolution,fbtruetype} $RPM_BUILD_ROOT%{_bindir}
install Utilities/*.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bootsplash

%preun
if [ "$1" = "0" ]; then
	%service bootsplash stop
	/sbin/chkconfig --del bootsplash
fi

%files
%defattr(644,root,root,755)
%doc {Documentation,Utilities}/README.*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bootsplash
%attr(754,root,root) /etc/rc.d/init.d/bootsplash
%{_datadir}/%{name}
%dir %{_sysconfdir}/bootsplash
%dir %{_sysconfdir}/bootsplash/themes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bootsplash.spec,v $
Revision 1.38  2010/01/30 21:50:57  megabajt
- release 5

Revision 1.37  2009/07/12 13:18:37  arekm
- release 4

Revision 1.36  2007/08/30 10:56:44  czarny
- all bootsplash themes provide bootsplash-theme
- main bootsplash package suggests bootsplash-theme

Revision 1.35  2007/05/10 21:11:32  shadzik
- rel 3 (rebuild with UTF-8)

Revision 1.34  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.32  2006/08/23 10:48:55  havner
- rel 2

Revision 1.31  2006/07/08 11:19:08  glen
- macros for %service

Revision 1.30  2006/07/07 17:21:59  havner
- remove precompiled splash.o
- readable sysconfig file

Revision 1.29  2006/07/07 16:12:53  havner
- added chkconfig stuff (its off by default anyway, cause
  BOOT_SPLASH_CONSOLES in default sysconfig file is empty)

Revision 1.28  2006/05/07 01:54:13  glen
- correct (allow when %_sysconfdir != /etc)

Revision 1.27  2006/05/05 22:22:36  shadzik
- de; adapterized

Revision 1.26  2006/03/26 13:03:02  djurban
- updated to 3.2

Revision 1.25  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.24  2005/11/15 02:52:48  aredridel
- correct spelling

Revision 1.23  2005/04/09 08:14:45  charles
- new Source0
- rm Epoch: 0

Revision 1.22  2004/06/13 19:59:28  arekm
- updated to 3.1

Revision 1.21  2003/12/25 19:20:11  adgor
- Fixed %install

Revision 1.20  2003/12/25 13:32:38  deejay1
- added init script for activating bootsplash on other consoles
- off by default - Use the chkconfig Luke!
- rel up

Revision 1.19  2003/12/24 19:47:25  arekm
- rel 0.6

Revision 1.18  2003/12/24 11:33:10  qboosh
- added dir for themes

Revision 1.17  2003/12/23 23:35:49  pzurowski
- added note/TODO about supporting only 16bit splashes (thnx Tomasz Grobelny)

Revision 1.16  2003/12/23 17:39:02  pzurowski
- seperated theme to the new spec

Revision 1.15  2003/12/23 15:22:58  pzurowski
- settings of themes arent the config

Revision 1.14  2003/12/23 00:20:14  pzurowski
- s/  */\t/ in Source4-md5
- manually changed perms to 644 in dropin:source4

Revision 1.13  2003/12/22 23:48:17  arekm
- readd source4

Revision 1.12  2003/12/22 23:28:59  arekm
- fix bcond

Revision 1.11  2003/12/22 23:26:27  arekm
- source3-md5 -> source4-md5. still .syconfig is missing in cvs

Revision 1.10  2003/12/22 23:22:15  arekm
- added bootanim

Revision 1.9  2003/12/22 23:14:50  pzurowski
- added theme darkblue (via dropin)
- created /etc/sysconfig/bootsplash and suitably moficated bootsplash.script

Revision 1.8  2003/12/22 01:07:26  arekm
- rel 0.3; all utils in /bin since these are run at boot time

Revision 1.7  2003/12/22 00:00:20  luzik
- missed /bin creation

Revision 1.6  2003/12/21 23:53:37  arekm
- fix location of splash wrapper (should be in /bin)

Revision 1.5  2003/12/21 17:33:17  qboosh
- added freetype-includes patch (use proper includes, needed for 2.1.7)
- pl, cleanups, pass optflags, compile with existing default font location

Revision 1.4  2003/12/21 00:31:26  arekm
- added wrapper used by rc-scripts

Revision 1.3  2003/12/12 15:27:11  arekm
- fix group; remove bogus translations

Revision 1.2  2003/12/12 14:35:56  yoshi
- Addedd missing BR: libmng-devel

Revision 1.1  2003/12/04 03:37:50  pzurowski
- Initial PLD release
